    A de-reddening model.

dered

De-reddening model applied multiplicatively to a spectrum. The integrate flag of this model should be set to False when used with an integrated grid.

>>> create_model_component("dered", "mdl")
>>> print(mdl)

Create a component of the dered model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.rv thawed 10 1e-10 1000 mdl.nhgal thawed 1e-07 1e-07 100000

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
rv
The ratio of total to selective extinction.
nhgal
The absorbing column density of H_gal in units of 10^20 cm^-2.

Notes

This dereddening model uses the analytic formula for the mean extension law described in [1] :

A(lambda) = E(B-V) * (a * rv + b) = 1.086 tau(lambda)

where tau(lambda) is the wavelength-dependent optical depth:

I(lambda) = I(0) * exp(-tau(lambda))

and a and b are computed using wavelength-dependent formulae, which are not reproduced here, for the wavelength range 1000 Angstroms to 3.3 microns. The relationship between the color excess and the column density (nhgal) is [2] :

E(B-V) = nhgal / 58.0

where the units of nhgal is 10^20 cm^-2. The value of the ratio of total to selective extinction, rv, is initially set to 3.1, the standard value for the diffuse ISM. The final model form is:

I(lambda) = I(0) exp(-nhgal * (a * ev + b) / (58.0 * 1.086)

This model provided courtesy of Karl Forster.

References

[1] Cardelli, Clayton, & Mathis 1989, ApJ 345, 245 http://adsabs.harvard.edu/abs/1989ApJ...345..245C
[2] Bohlin, Savage, & Drake 1978, ApJ 224, 132 http://adsabs.harvard.edu/abs/1978ApJ...224..132B

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023